<template>
  <div>
    <h1 class="mb-3">Have you ever taken any of the following treatments for your ED?</h1>
    <p class="mb-6 text-base">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"

      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!checkboxSelected.length"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import {constants} from "@/constants";

export default {
  mixins: [checkboxMixin, answersMixin],
  name: "YourHealth8",
  components: {CheckboxInput, CommonBtn},
  data() {
    return {
      choices: [
        'Sildenafil (Viagra)',
        'Tadalafil (Adcirca, Cialis)',
        'Vardenafil (Levitra, Staxyn),Avanafil (Stendra)',
        'Testosterone Replacement',
        'Injections',
        'Surgery or use of pumps',
        constants.NONE_CHOICE,
      ],
      isNone: false,
      checkHandler: (newVal) => {
        if (newVal.length > 1 && newVal.includes(constants.NONE_CHOICE)) {
          const idx = newVal.indexOf(constants.NONE_CHOICE)
          if (idx === 0) {
            newVal.splice(idx, 1)
          } else {
            newVal = [constants.NONE_CHOICE]
          }
          this.checkboxSelected = newVal
        }

        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_8')
      },
    }
  },
  methods: {
    handleClick() {
      if (this.choices.includes(constants.NONE_CHOICE)) {
        this.$emit('goTo', 11)
      } else {
        this.$emit('nextStage')
      }
    }
  },
}
</script>

<style scoped>

</style>
